For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order Records

Search endpoint for order records.

List order records (search)

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for OrderRecord

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

OrderRecordSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

OrderRecordPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/orderrecords/search
POST /api/orderrecords/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5118

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "consumer": {
              "addresses": {
                "contains": {
                  "companyName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "lastName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                },
                "exists": true
              },
              "consumerId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "facilityName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "lineItems": {
              "contains": {
                "article": {
                  "tenantArticleId": "MY_ARTICLE_ID"
                }
              },
              "exists": true
            },
            "or": "[Circular Reference]",
            "orderRecordDate": "2026-06-17T12:00:00.000Z",
            "origin": {
              "cashierId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "terminalId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "payments": {
              "contains": {
                "receiptNumber": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "transactionId": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            },
            "tenantOrderRecordId": "MY_ORDERRECORD_ID"
          }
        ],
        "consumer": {
          "addresses": {
            "contains": {
              "companyName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "lastName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "exists": true
          },
          "consumerId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "facilityName": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "lineItems": {
          "contains": {
            "article": {
              "tenantArticleId": "MY_ARTICLE_ID"
            }
          },
          "exists": true
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "consumer": {
              "addresses": {
                "contains": {
                  "companyName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "lastName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                },
                "exists": true
              },
              "consumerId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "facilityName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "lineItems": {
              "contains": {
                "article": {
                  "tenantArticleId": "MY_ARTICLE_ID"
                }
              },
              "exists": true
            },
            "or": "[Circular Reference]",
            "orderRecordDate": "2026-06-17T12:00:00.000Z",
            "origin": {
              "cashierId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "terminalId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "payments": {
              "contains": {
                "receiptNumber": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "transactionId": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            },
            "tenantOrderRecordId": "MY_ORDERRECORD_ID"
          }
        ],
        "orderRecordDate": "2026-06-17T12:00:00.000Z",
        "origin": {
          "cashierId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "terminalId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "payments": {
          "contains": {
            "receiptNumber": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "transactionId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        },
        "tenantOrderRecordId": "MY_ORDERRECORD_ID"
      }
    ],
    "consumer": {
      "addresses": {
        "contains": {
          "companyName": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "lastName": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "exists": true
      },
      "consumerId": {
        "eq": "text",
        "in": [
          "text"
        ],
        "notEq": "text",
        "notIn": [
          "text"
        ]
      }
    },
    "facilityName": {
      "eq": "text",
      "in": [
        "text"
      ],
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "lineItems": {
      "contains": {
        "article": {
          "tenantArticleId": "MY_ARTICLE_ID"
        }
      },
      "exists": true
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "consumer": {
          "addresses": {
            "contains": {
              "companyName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "lastName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "exists": true
          },
          "consumerId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "facilityName": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "lineItems": {
          "contains": {
            "article": {
              "tenantArticleId": "MY_ARTICLE_ID"
            }
          },
          "exists": true
        },
        "or": "[Circular Reference]",
        "orderRecordDate": "2026-06-17T12:00:00.000Z",
        "origin": {
          "cashierId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "terminalId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "payments": {
          "contains": {
            "receiptNumber": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "transactionId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        },
        "tenantOrderRecordId": "MY_ORDERRECORD_ID"
      }
    ],
    "orderRecordDate": "2026-06-17T12:00:00.000Z",
    "origin": {
      "cashierId": {
        "eq": "text",
        "in": [
          "text"
        ],
        "notEq": "text",
        "notIn": [
          "text"
        ]
      },
      "terminalId": {
        "eq": "text",
        "in": [
          "text"
        ],
        "notEq": "text",
        "notIn": [
          "text"
        ]
      }
    },
    "payments": {
      "contains": {
        "receiptNumber": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "transactionId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      },
      "exists": true
    },
    "tenantOrderRecordId": "MY_ORDERRECORD_ID"
  },
  "size": 10,
  "sort": [
    {
      "consumer": {
        "addresses": {
          "city": "ASC",
          "companyName": "ASC",
          "country": "ASC",
          "firstName": "ASC",
          "lastName": "ASC",
          "postalCode": "ASC"
        }
      },
      "facilityCountry": "ASC",
      "facilityName": "ASC",
      "lineItems": {
        "quantity": "ASC"
      },
      "orderRecordDate": "ASC",
      "origin": {
        "cashierId": "ASC",
        "terminalId": "ASC",
        "type": "ASC"
      },
      "payments": {
        "paymentMethod": "ASC",
        "receiptNumber": "ASC",
        "status": "ASC",
        "transactionId": "ASC"
      },
      "pricing": {
        "total": {
          "priceBreakdownTotal": "ASC"
        }
      },
      "tenantOrderRecordId": "ASC"
    }
  ]
}
{
  "orderRecords": [
    {
      "anonymized": true,
      "consumer": {
        "addresses": [
          {
            "additionalAddressInfo": "text",
            "city": "Yellowstone",
            "companyName": "text",
            "country": "US",
            "firstName": "text",
            "houseNumber": 42,
            "lastName": "text",
            "postalCode": "42420",
            "province": "text",
            "street": "text"
          }
        ],
        "consumerId": "text",
        "email": "phil.bison@fulfillmenttools.com"
      },
      "created": "2026-06-17T12:00:00.000Z",
      "customAttributes": {},
      "deletionDate": "2026-06-17T12:00:00.000Z",
      "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "gdprCleanupDate": "2026-06-17T12:00:00.000Z",
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "lastModified": "2026-06-17T12:00:00.000Z",
      "lineItems": [
        {
          "article": {
            "attributes": [
              {
                "valueLocalized": {},
                "keyLocalized": {},
                "category": "descriptive",
                "key": "text",
                "priority": 42,
                "type": "STRING",
                "value": "text"
              }
            ],
            "tenantArticleId": "MY_ARTICLE_ID",
            "title": "text"
          },
          "customAttributes": {},
          "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "measurementUnitKey": "text",
          "quantity": 42,
          "returnPolicy": {
            "isReturnable": true,
            "returnWindowEndDate": "2026-06-17T12:00:00.000Z"
          },
          "warranty": {
            "warrantyPeriod": "text",
            "warrantyStartDate": "2026-06-17T12:00:00.000Z"
          }
        }
      ],
      "orderRecordDate": "2026-06-17T12:00:00.000Z",
      "origin": {
        "cashierId": "text",
        "terminalId": "text",
        "type": "POS"
      },
      "payments": [
        {
          "paymentMethod": "text",
          "receiptNumber": "text",
          "status": "COMPLETED",
          "taxValue": {
            "currency": "AED",
            "decimalPlaces": 42,
            "value": 42
          },
          "transactionId": "text",
          "value": {
            "currency": "AED",
            "decimalPlaces": 42,
            "value": 42
          }
        }
      ],
      "pricing": {
        "discounts": [
          {
            "nameLocalized": {},
            "code": "text",
            "context": "text",
            "name": "text",
            "percentage": 1,
            "tenantDiscountId": "MY_DISCOUNT_ID",
            "type": "text",
            "value": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            }
          }
        ],
        "fees": [
          {
            "name": "text",
            "value": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            }
          }
        ],
        "taxes": [
          {
            "ratePercent": 42,
            "scope": "text",
            "taxableValue": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            },
            "type": "text",
            "value": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            }
          }
        ],
        "total": {
          "priceBreakdown": {
            "subTotal": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            },
            "total": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            },
            "totalDiscounts": {
              "breakdown": {
                "lineItemDiscounts": {
                  "currency": "AED",
                  "decimalPlaces": 42,
                  "value": 42
                },
                "orderDiscounts": {
                  "currency": "AED",
                  "decimalPlaces": 42,
                  "value": 42
                }
              },
              "value": {
                "currency": "AED",
                "decimalPlaces": 42,
                "value": 42
              }
            },
            "totalFees": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            },
            "totalLineItemSurcharges": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            },
            "totalTaxes": {
              "currency": "AED",
              "decimalPlaces": 42,
              "value": 42
            }
          }
        }
      },
      "tenantOrderRecordId": "MY_ORDERRECORD_ID",
      "version": 1
    }
  ],
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1
}

Last updated

Was this helpful?